package com.fs.live.service;

import java.util.List;

import com.fs.live.domain.LiveOrderLogs;
import com.fs.store.domain.FsStoreOrderStatus;

/**
 * 订单操作记录Service接口
 *
 * @author fs
 * @date 2025-07-08
 */
public interface ILiveOrderLogsService {
    /**
     * 查询订单操作记录
     *
     * @param logsId 订单操作记录主键
     * @return 订单操作记录
     */
    LiveOrderLogs selectLiveOrderLogsByLogsId(String logsId);

    /**
     * 查询订单操作记录列表
     *
     * @param liveOrderLogs 订单操作记录
     * @return 订单操作记录集合
     */
    List<LiveOrderLogs> selectLiveOrderLogsList(LiveOrderLogs liveOrderLogs);

    /**
     * 新增订单操作记录
     *
     * @param liveOrderLogs 订单操作记录
     * @return 结果
     */
    int insertLiveOrderLogs(LiveOrderLogs liveOrderLogs);

    /**
     * 修改订单操作记录
     *
     * @param liveOrderLogs 订单操作记录
     * @return 结果
     */
    int updateLiveOrderLogs(LiveOrderLogs liveOrderLogs);

    /**
     * 批量删除订单操作记录
     *
     * @param logsIds 需要删除的订单操作记录主键集合
     * @return 结果
     */
    int deleteLiveOrderLogsByLogsIds(String[] logsIds);

    /**
     * 删除订单操作记录信息
     *
     * @param logsId 订单操作记录主键
     * @return 结果
     */
    int deleteLiveOrderLogsByLogsId(String logsId);

    int create(Long orderId, String value, String desc);

    List<LiveOrderLogs> selectLiveOrderLogsByOrderId(Long orderId);
}
